--[[----------------------------------------------------------------------------

LmCatalogPaths.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2014 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.core.os
local KSPathUtils = require 'KSPathUtils'
local WFFileUtils = require 'WFFileUtils'

	-- WF.core.utils
local WFConfiguration = require 'WFConfiguration'


--============================================================================--

-- @mark LmCatalogPaths namespace

local LmCatalogPaths = {}

--------------------------------------------------------------------------------

local docStoreDir

--------------------------------------------------------------------------------

function LmCatalogPaths.getDocStoreDir()
	
	if not docStoreDir then

		local cacheDataDir = WFConfiguration.Oz.DocStoreDir or
								KSPathUtils.getStandardFilePath( 'appSpecificCache' )
		
		local syncDataDir = KSPathUtils.child( cacheDataDir, 'Sync Data' )
		
		docStoreDir = KSPathUtils.child( syncDataDir, 'Sync.lrdata' )
										
		WFFileUtils.mkdir( docStoreDir )
	
	end
	
	return docStoreDir

end

--------------------------------------------------------------------------------

function LmCatalogPaths.getDocStorePathForUser( userId )

	local docStoreDir = LmCatalogPaths.getDocStoreDir()
	
	return KSPathUtils.child( docStoreDir, userId .. '.docstore' )

end

--============================================================================--

return LmCatalogPaths
