--[[----------------------------------------------------------------------------

LmOzCatalogIndexDefinitions.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

------------------------------------------------------------------------------]]

	-- WF.oz_client.sync_engine
local WFConflictResolver = require 'WFConflictResolver'
local WFOzAlbumAssetUploadUtils = require 'WFOzAlbumAssetUploadUtils'
local WFOzBinaryUploadUtils = require 'WFOzBinaryUploadUtils'
local WFOzSyncStatus = require 'WFOzSyncStatus'


--============================================================================--

local LmOzCatalogIndexDefinitions = {}

--------------------------------------------------------------------------------

function LmOzCatalogIndexDefinitions.modifyIndexSchema( indexStoreSchema )

	WFConflictResolver.generateIndexSchema( indexStoreSchema )
	WFOzAlbumAssetUploadUtils.generateIndexSchema( indexStoreSchema )
	WFOzBinaryUploadUtils.generateIndexSchema( indexStoreSchema )
	WFOzSyncStatus.generateIndexSchema( indexStoreSchema )

end

--------------------------------------------------------------------------------

return LmOzCatalogIndexDefinitions
