--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2014 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

local WFUnknown = require 'WFUnknown'

--------------------------------------------------------------------------------

local LrmAlbumUtils = {}

--==============================================================================

function LrmAlbumUtils.isAlbumSharedB( indexStore, albumId )

	local sql = [[SELECT
						space_album.docId, spaceId FROM space_album
					INNER JOIN
						space
					ON
						space_album.spaceId == space.docId
					WHERE
						albumId == ? AND space.private == 0]]
					
	local isSharedB = indexStore:queryB( sql, albumId )
		:closingMapB( function( idRow )
		
			if WFUnknown.isUnknown( idRow ) then
				return idRow
			end
			
			if idRow and idRow[ 1 ] and idRow[ 1 ][ 1 ] and idRow[ 1 ][ 2 ] then
				return true
			else
				return false
			end
			
		end )
		
		
	return isSharedB
	
end

--------------------------------------------------------------------------------

function LrmAlbumUtils.hasAnySharedAlbumsB( indexStore )

	return indexStore:queryB( [[SELECT
									space_album.docId
								FROM
									space_album
								INNER JOIN
									space
								ON
									space_album.spaceId == space.docId
								WHERE
									space.private == 0
								LIMIT 1]] )
		
		:closingMapB( function( rows )
		
			if WFUnknown.isUnknown( rows ) then
				return WFUnknown.value()
			end
			
			if rows and rows[ 1 ] and rows[ 1 ][ 1 ] then
				return true
			end
			
			return false
			
		end )
		
end

--------------------------------------------------------------------------------

function LrmAlbumUtils.getDocTypeForAlbumId (albumId)

	if #albumId ~= 32 or albumId == "10002000300040005000600070008000" then
	
		return 'gen-album'
	
	end
	
	return 'album'
	
end

--------------------------------------------------------------------------------

return LrmAlbumUtils
