--[[----------------------------------------------------------------------------

WFDocStoreTestHelperFuncs.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2013 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

--------------------------------------------------------------------------------

Intended for use only by WFDocStoreTest.lua and WFDocStoreImpTest.lua.

------------------------------------------------------------------------------]]


--============================================================================--

local WFDocStoreTestHelperFuncs = {}

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.passesArgs( docStore, a, b, c )

	return a, b, c

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.docValue( docStore )

	return docStore:docValue( 'testDocId' )

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.getSetDocValue( docStore )

	docStore:setDocValue {
		_id = 'testDocId',
		_slot = 'main',
		test = 42,
	}

	return docStore:docValue( 'testDocId' )

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.rollbackOnError( docStore )

	docStore:setDocValue {
		_id = 'testDocId',
		_slot = 'main',
		test = 42,
	}

	error 'testing'

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.applyOverlay( docStore )

	docStore:applyOverlay {
		_id = 'testDocId',
		_slot = 'main',
		foo = 'bar',
	}
	
	return docStore:docValue( 'testDocId' )

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.copySlotToSlot( docStore )

	docStore:copySlotToSlot( 'testDocId', 'main', 'other' )
	
	return docStore:docValue( 'testDocId', 'other' )

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.quietlyDeleteSlot( docStore )

	docStore:quietlyDeleteSlot( 'testDocId', 'other' )
	
	return docStore:docValue( 'testDocId', 'other' )

end

--------------------------------------------------------------------------------

function WFDocStoreTestHelperFuncs.changedDocs( docStore )

	return docStore:changedDocs { fromChangeCounter = 1, limit = 1000 }

end

--------------------------------------------------------------------------------

return WFDocStoreTestHelperFuncs
